{% load static %}
<div class="field{% if cls %} {{ cls }}{% endif %}{% if field.errors %} errors{% endif %}">
  {{ field.label_tag }}
  <div class="input-container">
    {{ field }}
    <img height="20" width="20" class="htmx-indicator" alt="saving..." src="{% static "volunteers/autosave-spinner.svg" %}">
    {% if autosaving and not errors %}
      <img height="20" width="20" class="autosave-indicator autosave-indicator-saved" style="opacity: 1; visibility: visible;" alt="saved" src="{% static "vendor/material-icons/check.svg" %}">
      <script>
                (() => {
                    const indicator = document.currentScript.parentElement.querySelector('.autosave-indicator-saved');
                    setTimeout(() => {indicator.removeAttribute('style') }, 3000)
                })();
      </script>
    {% endif %}
    <img height="20" width="20" class="autosave-indicator autosave-indicator-error" alt="not saved because an error occured" src="{% static "vendor/material-icons/sync_problem_black_24dp.svg" %}">
  </div>
  {% if errors %}
    <ul class="errorlist">
      {% for e in errors %}<li>{{ e }}</li>{% endfor %}
    </ul>
  {% endif %}
</div>
